Loading...
Searching...
No Matches
BALL::VIEW::TwoColoredTube Class Reference
Visualisation » Geometric Objects

`#include <BALL/VIEW/PRIMITIVES/twoColoredTube.h>`

Inheritance diagram for BALL::VIEW::TwoColoredTube:

## Public Member Functions

Constructors
| TwoColoredTube ()
| TwoColoredTube (const TwoColoredTube &two_colored_tube)
Destructors
virtual | ~TwoColoredTube ()
virtual void | clear ()
Assignment methods
void | set (const TwoColoredTube &two_colored_tube)
const TwoColoredTube & | operator= (const TwoColoredTube &two_colored_tube)
void | swap (TwoColoredTube &two_colored_tube)
Accessors: inspectors and mutators
float | getLength () const
Vector3 | getMiddleVertex () const
debuggers and diagnostics
virtual bool | isValid () const
virtual void | dump (std::ostream &s=std::cout, Size depth=0) const
Public Member Functions inherited from BALL::VIEW::GeometricObject
| GeometricObject ()
| GeometricObject (const GeometricObject &object)
virtual | ~GeometricObject ()
void | set (const GeometricObject &object)
GeometricObject & | operator= (const GeometricObject &object)
void | swap (GeometricObject &object)
void | setComposite (const Composite *composite)
const Composite * | getComposite () const
void | setColor (const ColorRGBA &color)
void | setColor (const ColorUnit &red, const ColorUnit &green, const ColorUnit &blue, const ColorUnit &alpha=(float) 1)
const ColorRGBA & | getColor () const
ColorRGBA & | getColor ()
void | getColor (ColorUnit &red, ColorUnit &green, ColorUnit &blue, ColorUnit &alpha) const
void | getColors (HashSet< String > &colors)
| Insert the colors of this object into the hashset.
bool | operator== (const GeometricObject &object) const
| Needed for MSVC.
bool | operator< (const GeometricObject &object) const
| Needed for MSVC.
virtual void | getVertices (std::vector< Vector3 > &) const
Public Member Functions inherited from BALL::VIEW::ColorExtension2
| ColorExtension2 ()
| ColorExtension2 (const ColorExtension2 &color_extension)
virtual | ~ColorExtension2 ()
void | set (const ColorExtension2 &color_extension)
const ColorExtension2 & | operator= (const ColorExtension2 &color_extension)
void | swap (ColorExtension2 &color_extension)
void | setColor2 (const ColorRGBA &color)
ColorRGBA & | getColor2 ()
const ColorRGBA & | getColor2 () const
void | getColor2 (ColorRGBA &color) const
Public Member Functions inherited from BALL::VIEW::Vertex2
| Vertex2 ()
| Vertex2 (const Vertex2 &vertex)
virtual | ~Vertex2 ()
void | set (const Vertex2 &vertex)
const Vertex2 & | operator= (const Vertex2 &vertex)
void | swap (Vertex2 &vertex)
void | setVertex1 (const Vector3 &v)
void | setVertex1 (const float x, const float y, const float z)
Vector3 & | getVertex1 ()
const Vector3 & | getVertex1 () const
void | getVertex1 (Vector3 &v) const
void | getVertex1 (float &x, float &y, float &z) const
void | setVertex1Address (const Vector3 &v)
void | setDefaultVertex1Address ()
Vector3 * | getVertex1Address () const
void | setVertex2 (const Vector3 &v)
void | setVertex2 (const float x, const float y, const float z)
Vector3 & | getVertex2 ()
const Vector3 & | getVertex2 () const
void | getVertex2 (Vector3 &v) const
void | getVertex2 (float &x, float &y, float &z) const
void | setVertex2Address (const Vector3 &v)
void | setDefaultVertex2Address ()
Vector3 * | getVertex2Address () const
void | setVertices (const Vector3 &vertex1, const Vector3 &vertex2)
void | setVertices (const float vertex1_x, const float vertex1_y, const float vertex1_z, const float vertex2_x, const float vertex2_y, const float vertex2_z)
void | setVertexAddresses (const Vector3 &vertex1, const Vector3 &vertex2)
void | getVertices (Vector3 &vertex1, Vector3 &vertex2)
void | getVertices (float &vertex1_x, float &vertex1_y, float &vertex1_z, float &vertex2_x, float &vertex2_y, float &vertex2_z)
void | setDefaultVertexAddresses ()
bool | isDefaultVertex1Address () const
bool | isDefaultVertex2Address () const
bool | isDefaultVertexAddresses () const

## Storers

float | getRadius () const
| Get the radius.
void | setRadius (float radius)
| Set the radius.
virtual void | getVertices (vector< Vector3 > &vertices) const

## Detailed Description

TwoColoredTube class. An instance of TwoColoredTube represents an instance of the geometric representation of a two colored "tube". A twoColoredTube has the following properties.

- color1 - the color for the first vertex of the tube
- color2 - the color for the second vertex of the tube
- vertex1 - the first vertex of the tube
- vertex2 - the second vertex of the tube
    The class TwoColoredTube is a tube that is half colored in the color 1 and in color 2. The tube is exactly divided in the middle. One half (starting from vertex1 til middle vertex) is colored by the color1 and the other half (starting from middle vertex to vertex2) is colored by color2. The class TwoColoredTube is derived from the classes GeometricObject, ColorExtension2, Radius and Vertex2. See these classes for further information concerning interface and additional methods.

Definition at line 45 of file twoColoredTube.h.

## Constructor & Destructor Documentation

## TwoColoredTube() [1/2]

BALL::VIEW::TwoColoredTube::TwoColoredTube | ( |  | ) |

Default Constructor. Construct new twoColoredTube. The properties of this twoColoredTube are set to:

- color1 - set to the color black
- color2 - set to the color black
- radius - set to 1
- vertex1 - set to the vector (0,0,0)
- vertex2 - set to the vector (0,0,0)
  Returns
    TwoColoredTube new constructed twoColoredTube
  See also
    GeometricObject
    ColorExtension2
    Vertex2

## TwoColoredTube() [2/2]

BALL::VIEW::TwoColoredTube::TwoColoredTube | ( | const TwoColoredTube & | two_colored_tube | ) |

Copy constructor with cloning facility.

See also
  GeometricObject
  ColorExtension2
  Vertex2

## ~TwoColoredTube()

virtual BALL::VIEW::TwoColoredTube::~TwoColoredTube | ( |  | ) |

virtual

Destructor. Default destruction of this twoColoredTube.

## Member Function Documentation

## clear()

virtual void BALL::VIEW::TwoColoredTube::clear | ( |  | ) |

virtual

Explicit default initialization. Calls GeometricObject::clear. Calls ColorExtension2::clear. Calls Vertex2::clear.

See also
  GeometricObject::clear
  ColorExtension2::clear
  Radius::clear
  Vertex2::clear

Reimplemented from BALL::VIEW::GeometricObject.

## dump()

virtual void BALL::VIEW::TwoColoredTube::dump | ( | std::ostream & | s = std::cout,
|  | Size | depth = 0 ) const

virtual

Internal value dump. Dump the current value of this twoColoredTube to the output ostream s with dumping depth depth. Calls GeometricObject::dump. Calls ColorExtension2::dump. Calls Radius::dump. Calls Vertex2::dump.

Parameters

  s | output stream where to output the value of this twoColoredTube
  depth | the dumping depth

See also
  GeometricObject::dump
  ColorExtension2::dump
  Radius::dump
  Vertex2::dump

Reimplemented from BALL::VIEW::GeometricObject.

## getLength()

float BALL::VIEW::TwoColoredTube::getLength | ( |  | ) | const

Inspection of the length of the tube. Access the length of this tube.

Returns
  float the length of this tube

## getMiddleVertex()

Vector3 BALL::VIEW::TwoColoredTube::getMiddleVertex | ( |  | ) | const

Inspection of the middle vector. Access the geometric middle vertex between vertex1 and vertex2 of this twoColoredTube.

Returns
  . Vector3 the middle vertex between vertex1 and vertex 2.

See also
  Vector3

## getRadius()

float BALL::VIEW::TwoColoredTube::getRadius | ( |  | ) | const

inline

Get the radius.

Definition at line 179 of file twoColoredTube.h.

## getVertices()

virtual void BALL::VIEW::TwoColoredTube::getVertices | ( | vector< Vector3 > & | vertices | ) | const

virtual

## isValid()

virtual bool BALL::VIEW::TwoColoredTube::isValid | ( |  | ) | const

virtual

Internal state and consistency self-validation. Initiate self-validation of the internal state and data structure consistencies of this twoColoredTube. If the internal state of this twoColoredTube is correct (self-validated) and consistent true is returned, false otherwise. Calls {GeometricObject::isValid}.

Returns
  bool true if the internal state of this twoColoredTube is correct (self-validated) and consistent, false otherwise

See also
  GeometricObject::isValid

Reimplemented from BALL::VIEW::GeometricObject.

## operator=()

const TwoColoredTube & BALL::VIEW::TwoColoredTube::operator= | ( | const TwoColoredTube & | two_colored_tube | ) |

Assignment operator.

See also
  set

## set()

void BALL::VIEW::TwoColoredTube::set | ( | const TwoColoredTube & | two_colored_tube | ) |

Assignment. Calls GeometricObject::set. Calls ColorExtension2::set. Calls Vertex2::set.

## setRadius()

void BALL::VIEW::TwoColoredTube::setRadius | ( | float | radius | ) |

inline

Set the radius.

Definition at line 183 of file twoColoredTube.h.

## swap()

void BALL::VIEW::TwoColoredTube::swap | ( | TwoColoredTube & | two_colored_tube | ) |

Swapping of two_colored_tube's.